# UpdateUK8SNodeGroup - UpdateUK8SNodeGroup

## Overview

UpdateUK8SNodeGroup






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateUK8SNodeGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.feb.sg/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NodeGroupId** | string | Node Pool Id |**Yes**|
| **ClusterId** | string | Cluster ID |**Yes**|
| **NodeGroupName** | string | Node Pool Name |No|
| **ImageId** | string | Image ID |No|
| **MachineType** | string | Cloud host machine type. Enumeration values ["N", "C", "G", "O", "OS"]. Refer to [Cloud host machine type description](api/uhost-api/uhost_type). |No|
| **MinimalCpuPlatform** | string | Lowest CPU platform, enumeration values ["Intel/Auto", "Intel/IvyBridge", "Intel/Haswell", "Intel/Broadwell", "Intel/Skylake", "Intel/Cascadelake", "Intel/CascadelakeR", “Amd/Epyc2”, "Amd/Auto"], the default value is "Intel/Auto". |No|
| **UHostFamily** | string | UHost Family |No|
| **CPU** | int | Number of GPU card cores. Only GPU models support this field (optional range related to MachineType+GpuType). |No|
| **Mem** | int | Memory size. Unit: MB |No|
| **GpuType** | string | GPU Type |No|
| **GPU** | int | Number of GPU Card Cores |No|
| **BootDiskType** | string | Disk Type |No|
| **DataDiskSize** | int | Data Disk Size |No|
| **DataDiskType** | string | Disk Type |No|
| **Tag** | string | Business Group |No|
| **ChargeType** | string | Billing Mode |No|
| **BootDiskSize** | int | System disk size, in GB. Default is 40. Range: [40, 500]. Please note that SSD local disk cannot be adjusted. |No|
| **SubnetId** | string | Subnet ID. The default is the subnet ID filled in when the cluster is created, or you can fill in the subnet ID within the same VPC as the cluster. |No|
| **ZoneBaned** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **IsolationGroupId** | string | Hardware isolation group ID. It can be obtained through DescribeIsolationGroup. |No|
| **MaxPods** | string | Default is 110, it is recommended to be less than or equal to 110 in a production environment. |No|
| **UserData** | string | User-defined data. This field can be filled in when the image supports the Cloud-init Feature. Note: 1. The total data size should not exceed 16K; 2. Use base64 encoding. |No|
| **InitScript** | string | User-defined Shell scripts. The difference from UserData is that InitScript is executed after the node initialization is complete, while UserData is executed during the initialization of the UHost. |No|
| **Taints** | string | Node taint, in the format key=value:effect, multiple taints are separated by ",", supporting up to five groups. |No|
| **Labels** | string | Node label. In the form of key=value, multiple groups are separated by "," with a maximum of 5 groups. For example, env=pro,type=game |No|
| **NetCapability** | string | Network enhancement features. Enumeration values: Normal, not enabled; Super, enable Network Enhancement 1.0; Ultra, enable Network Enhancement 2.0; Extreme, enable Network Enhancement 3.0; Infiniband, enable Network Enhancement 4.0 (for details, refer to the official website documentation). |No|
| **UNIFeature** | boolean | Elastic NIC Feature. This feature is effective only when the Elastic NIC permission bit is enabled. By default, it is false (disabled), true (enabled). |No|
| **SecurityMode** | string | Host Security Mode. Firewall: Firewall; SecGroup: Security Group; Default Value: Firewall. |No|
| **NodeNamePrefix** | string | The custom node name prefix. The full custom node name should be {NodeNamePrefix}-{NodeIP}. |No|
| **SecGroupId.N.Id** | string | Security Group ID. Up to 5 security groups can be bound at the same time. |No|
| **SecGroupId.N.Priority** | string | Security Group Priority. Value range [1, 5] |No|
| **SecGroupId.N.Name** | string | Security Group Name. |No|
| **SecurityGroupId** | string | Firewall ID, default: Web recommended firewall. For how to query SecurityGroupId, please refer to [DescribeFirewall](api/unet-api/describe_firewall.html). |No|
| **NetworkInterface.N.EIP.Bandwidth** | int | [If EIP is bound, this parameter is required] The bandwidth of the Elastic IP in the public network, in Mbps. Shared bandwidth mode must specify 0M bandwidth, non-shared bandwidth mode must specify non-0Mbps bandwidth. The bandwidth range of non-shared bandwidth in various regions is as follows: Traffic billing [1-300], Bandwidth billing [1-800] |No|
| **NetworkInterface.N.EIP.PayMode** | string | Billing mode of Elastic IP. Enumerated values: "Traffic", traffic billing; "Bandwidth", bandwidth billing; "ShareBandwidth", shared bandwidth mode. "Free": Free bandwidth mode, default is "Bandwidth". |No|
| **NetworkInterface.N.EIP.ShareBandwidthId** | string | The ID of the bound shared bandwidth, effective only when PayMode is set to ShareBandwidth. |No|
| **NetworkInterface.N.EIP.OperatorName** | string | [If EIP is bound, this parameter is required] The line of the Elastic IP. Enumeration value: International: International BGP: Bgp. The line parameters allowed in each region are as follows: cn-sh1: Bgp cn-sh2: Bgp cn-gd: Bgp cn-bj1: Bgp cn-bj2: Bgp hk: International us-ca: International th-bkk: International kr-seoul: International us-ws: International ge-fra: International sg: International tw-kh: International. All other overseas lines are International |No|
| **NetworkInterface.N.EIP.CouponId** | string | The current EIP coupon id. Please query through the DescribeCoupon interface, or log in to the user center to view. |No|
| **KubeletConfiguration.ContainerLogMaxFiles** | int | Please refer to https://uxiao.ucloudadmin.com/#/api-manager/api/detail/UK8S/AddUK8SNodeGroup |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NodeGroupId** | string | Node Pool ID |**Yes**|




## Example

### Request Example
    
```
https://api.feb.sg/?Action=UpdateUK8SNodeGroup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=jGvFXuLi
&NodeGroupName=jMalkMOR
&ClusterId=xbANtphK
&ImageId=ZcHuAIea
&MachineType=syykyLFL
&MinimalCpuPlatform=NWsCCuDR
&CPU=8
&Mem=9
&GpuType=KlcXcUnG
&GPU=1
&BootDiskType=AWrsyArX
&DataDiskSize=1
&DataDiskType=xavyLLjp
&Tag=iKcJBEtL
&ChargeType=PHcXveTq
&BootDiskSize=9
&SubnetId=APmrxuYa
&ZoneBaned=ePUXgfTQ
&IsolationGroupId=FdEubxwL
&MaxPods=pRXeZOwJ
&UserData=RSJaayKm
&InitScript=DRARcPTQ
&Taints=FtCZuKaj
&Labels=VakcHxnw
&NetCapability=UVkHyrhe
&UNIFeature=true
&NodeGroupId=GIPRLyoC
&SecGroupId=qEKzLFoT
&NodeNamePrefix=oEubHlQf
&SecGroupId.N.Priority=ucMCmbxE
&SecGroupId.N.Name=dusVrmAF
&SecurityGroupId=ErUXSmnK
&SecurityMode=qwUsDUBr
&NetworkInterface.N.EIP.Bandwidth=EefpTrnV
&NetworkInterface.N.EIP.PayMode=HjeSWpYA
&NetworkInterface.N.EIP.ShareBandwidthId=yjMCrwBi
&NetworkInterface.N.EIP.OperatorName=MKjAAafB
&NetworkInterface.N.EIP.CouponId=OtZqxfCN
&KubeletConfiguration.ContainerLogMaxFiles=1
&KubeletConfiguration.ContainerLogMaxFiles=7
&UHostFamily=eZPxsXKS
```

### Response Example
    
```json
{
  "Action": "UpdateUK8SNodeGroupResponse",
  "Message": "iZtGFxEL",
  "NodeGroupId": "DYbEFmyI",
  "RetCode": 0
}
```





